#/bin/bash
#
#/********************
# * Code source publié sous licence GPL V3 :
# * http://www.gnu.org/licenses/gpl-3.0.fr.html
# *********************/
#
# --> ce script va recuperer les images d'infotrafic du site sytadin.
# il se peux que sytadin change sa technique d'accés au image si c'est le cas alors ce script ne marchera plus.
#
# **> il a besoin en parametre d'un numéro de dossier qui change dynamiquement à chaque mise a jours du trafic.
#
# voici a quoi recemble l'appel de mon script : /usr/share/nginx/www/jeedom/plugins/script/core/ressources/infotrafic_sytadin.sh  #[appartement][infotrafic_image][dossier]#
# 
# **************************
# voici les details du script dossier pour récupérer le dossier dynamique:
# pour ce faire il vous faudra crée un script JSON :
# 	Type script  : JSON 
#           Type : info autre    
#        Requête : dossier
#        Options : http://m.sytadin.fr/carto/dynamique/cartoTempsReel.json?_=1455635957493
## **************************


# Dans mon script les images sont telechargé dans le dossier "jeedom/montheme/sytadin" soit vous cré le meme avec le plugin "outil de developement"
# soit vous modifiez le dossier dans toutes les commandes de ce script pour utiliser votre dossier

# sytadin a découpé l'enssemble de la map en plusieurs zones 

# Mon script est déoupé en deux partie 
# 1 Download des images infotrafic ne contient que des ligne de couleur qui donne l'état de la route vert jeaune rouge ..
# 2 Download des images de fond   

# le site sytadin donne la possibilité de zoomer c'est pourquoi  chaque partie 1 et 2 est découpé en plusieurs sous parties zoom 0 zoom 1 zoom 2 zomm3
# par default j'ai laissé activé le zomm 0 sur le centre de paris
# il vous faudra ajouter des '#' devant chaque ligne d'un zoom qui ne vous convient pas pour désactiver le code pour ne pas ralentir jeedom et staturer le serveur sytadin
# et inversement enlever les '#" devant chaque ligne pour activer un zoom ou une image
#
# je vous conseil d'activer uniquement les images qui vous intéresse pour ne pas ralentir jeedom 

# le nomage des images
# le nomage des images dans le lien de téléchargement coté sytadin: ******bouchons/Z/C/L.png 
# le nomage des images aprés téléchargment: Z_C_L.png 
# avec Z pour zoom
# avec C pour colonne
# avec L pour ligne
# exemple :
# 0_0_0.png sera la zone en bas à gauche du zoom 0
# 0_6_4.png sera la zone en haut à droite du zoom 0
# 1_9_8.png sera la zone en haut à droite du zoom 1

#
# FAQ : Comment afficher dans mon design les images ??
#
# depuis votre design ajouter un objet text/html puis copier vos ligne html
#
# il va faloir afficher le fond et l'images infotrafic pour chaque zone (ici j'affiche uniqueemnt la zone  0_2_3 et 0_2_2.png
# la taille d'origine des images est de 256px ici dans l'exemple je les ai reduite à 215px
# si vous affichez plus d'images il vous faudra jouer avec les balise top et left
#
# exemple  me code HTML a coller dans l'objet text/html de votre design:
#<img src="montheme/sytadin/fond/0_2_3.png" style="visibility: inherit; opacity: 1; position: absolute; left: 0px; top: 0px; width: 215px; height: 215px;" class="olTileImage">
#<img src="montheme/sytadin/0_2_3.png" style="visibility: inherit; opacity: 1; position: absolute; left: 0px; top: 0px; width: 215px; height: 215px;" class="olTileImage">
#
#<img src="montheme/sytadin/fond/0_2_2.png" style="visibility: inherit; opacity: 1; position: absolute; left: 0px; top: 215px; width: 215px; height: 215px;" class="olTileImage">
#<img src="montheme/sytadin/0_2_2.png" style="visibility: inherit; opacity: 1; position: absolute; left: 0px; top: 215px; width: 215px; height: 215px;" class="olTileImage">



########################## PARTIE 1 #########################################
############### Download des images infotrafic  ligne de couleur ############
sudo rm --force /usr/share/nginx/www/jeedom/montheme/sytadin/*

#zoom 0  colone[0-6] ligne[0-4]
#URL_0_0_0="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/0/0.png"
#sudo wget $URL_0_0_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_0_0.png
#URL_0_0_1="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/0/1.png"
#sudo wget $URL_0_0_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_0_1.png
#URL_0_0_2="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/0/2.png"
#sudo wget $URL_0_0_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_0_2.png
#URL_0_0_3="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/0/3.png"
#sudo wget $URL_0_0_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_0_3.png
#URL_0_0_4="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/0/4.png"
#sudo wget $URL_0_0_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_0_4.png

#URL_0_1_0="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/1/0.png"
#sudo wget $URL_0_1_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_1_0.png
URL_0_1_1="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/1/1.png"
sudo wget $URL_0_1_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_1_1.png
URL_0_1_2="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/1/2.png"
sudo wget $URL_0_1_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_1_2.png
URL_0_1_3="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/1/3.png"
sudo wget $URL_0_1_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_1_3.png
#URL_0_1_4="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/1/4.png"
#sudo wget $URL_0_1_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_1_4.png

#URL_0_2_0="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/2/0.png"
#sudo wget $URL_0_2_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_2_0.png
URL_0_2_1="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/2/1.png"
sudo wget $URL_0_2_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_2_1.png
URL_0_2_2="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/2/2.png"
sudo wget $URL_0_2_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_2_2.png
URL_0_2_3="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/0/2/3.png"
sudo wget $URL_0_2_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_2_3.png
#URL_0_2_4="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/0/2/4.png"
#sudo wget $URL_0_2_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_2_4.png

#URL_0_3_0="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/3/0.png"
#sudo wget $URL_0_3_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_3_0.png
URL_0_3_1="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/3/1.png"
sudo wget $URL_0_3_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_3_1.png
URL_0_3_2="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/3/2.png"
sudo wget $URL_0_3_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_3_2.png
URL_0_3_3="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/0/3/3.png"
sudo wget $URL_0_3_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_3_3.png
#URL_0_3_4="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/0/3/4.png"
#sudo wget $URL_0_3_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_3_4.png

#URL_0_4_0="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/4/0.png"
#sudo wget $URL_0_4_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_4_0.png
#URL_0_4_1="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/4/1.png"
#sudo wget $URL_0_4_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_4_1.png
#URL_0_4_2="http://www4.sytadin.fr/carto/dynamique/$1/tms/1.0.0/bouchons/0/4/2.png"
#sudo wget $URL_0_4_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_4_2.png
#URL_0_4_3="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/0/4/3.png"
#sudo wget $URL_0_4_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_4_3.png
#URL_0_4_4="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/0/4/4.png"
#sudo wget $URL_0_4_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/0_4_4.png
# a vous de rajouter les collone 5 et 6 si besoin

###########
#zoom 1   colone[0-9] ligne[0-8] 
# a vous de rajouter les images manquantent
#URL_1_5_5="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/1/5/5.png"
#sudo wget $URL_1_5_5 -O /usr/share/nginx/www/jeedom/montheme/sytadin/1_5_5.png

#URL_1_4_5="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/1/4/5.png"
#sudo wget $URL_1_4_5 -O /usr/share/nginx/www/jeedom/montheme/sytadin/1_4_5.png

#URL_1_5_6="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/1/5/6.png"
#sudo wget $URL_1_5_6 -O /usr/share/nginx/www/jeedom/montheme/sytadin/1_5_6.png

#URL_1_4_6="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/1/4/6.png"
#sudo wget $URL_1_4_6 -O /usr/share/nginx/www/jeedom/montheme/sytadin/1_4_6.png

#URL_1_5_4="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/1/5/4.png"
#sudo wget $URL_1_5_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/1_5_4.png

#URL_1_4_4="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/1/4/4.png"
#sudo wget $URL_1_4_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/1_4_4.png

###########
#zoom 2   colone[0-17] ligne[0-16]
#URL_2_9_10="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/2/9/10.png"
#sudo wget $URL_2_9_10 -O /usr/share/nginx/www/jeedom/montheme/sytadin/2_9_10.png

#URL_2_9_11="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/2/9/11.png"
#sudo wget $URL_2_9_11 -O /usr/share/nginx/www/jeedom/montheme/sytadin/2_9_11.png

#URL_2_10_9="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/2/10/9.png"
#sudo wget $URL_2_10_9 -O /usr/share/nginx/www/jeedom/montheme/sytadin/2_10_9.png

#URL_2_10_10="http://www4.sytadin.fr/carto/dynamique/"$1"/tms/1.0.0/bouchons/2/10/10.png"
#sudo wget $URL_2_10_10 -O /usr/share/nginx/www/jeedom/montheme/sytadin/2_10_10.png

###########
#zoom 3   colone[0-41] ligne[0-40]

# donne les bon droit aux images 
sudo chmod 775 /usr/share/nginx/www/jeedom/montheme/sytadin/*

########################## PARTIE 2 #######################################
###################### Download des images de fond   ###################### 
# Cette parti du script pourai etre déplacé dans un autre script    
# il est inutile de télécharger ces image tout les 5 min ou a chaque changement de dossier dynamique
# une fois par jour serait largement sufisant ou meme une seul fois à la mise en place
# mais pour des question de partage et de facilité je n'ai crée que un seul script.
#
# ici les image de fond sont téléchargé dans "montheme/sytadin/fond/"
#
#sudo rm --force /usr/share/nginx/www/jeedom/montheme/sytadin/fond/*

#zoom 0
#URL_0_0_0="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/0/0.png"
#sudo wget $URL_0_0_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_0_0.png
#URL_0_0_1="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/0/1.png"
#sudo wget $URL_0_0_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_0_1.png
#URL_0_0_2="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/0/2.png"
#sudo wget $URL_0_0_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_0_2.png
#URL_0_0_3="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/0/3.png"
#sudo wget $URL_0_0_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_0_3.png
#URL_0_0_4="http://www4.sytadin.fr/carto/statique/tms/1.0.0/fond/0/0/4.png"
#sudo wget $URL_0_0_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_0_4.png


#URL_0_1_0="http://www4.sytadin.fr/carto/statique/tms/1.0.0/fond/0/1/0.png"
#sudo wget $URL_0_1_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_1_0.png
URL_0_1_1="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/1/1.png"
sudo wget $URL_0_1_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_1_1.png
URL_0_1_2="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/1/2.png"
sudo wget $URL_0_1_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_1_2.png
URL_0_1_3="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/1/3.png"
sudo wget $URL_0_1_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_1_3.png
#URL_0_1_4="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/1/4.png"
#sudo wget $URL_0_1_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_1_4.png

#URL_0_2_0="http://www2.sytadin.fr/carto/statique/tms/1.0.0/fond/0/2/0.png"
#sudo wget $URL_0_2_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_2_0.png
URL_0_2_1="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/2/1.png"
sudo wget $URL_0_2_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_2_1.png
URL_0_2_2="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/2/2.png"
sudo wget $URL_0_2_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_2_2.png
URL_0_2_3="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/2/3.png"
sudo wget $URL_0_2_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_2_3.png
#URL_0_2_4="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/2/4.png"
#sudo wget $URL_0_2_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_2_4.png

#URL_0_3_0="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/3/0.png"
#sudo wget $URL_0_3_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_3_0.png
URL_0_3_1="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/3/1.png"
sudo wget $URL_0_3_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_3_1.png
URL_0_3_2="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/3/2.png"
sudo wget $URL_0_3_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_3_2.png
URL_0_3_3="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/3/3.png"
sudo wget $URL_0_3_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_3_3.png
#URL_0_3_4="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/3/4.png"
#sudo wget $URL_0_3_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_3_4.png

#URL_0_4_0="http://www2.sytadin.fr/carto/statique/tms/1.0.0/fond/0/4/0.png"
#sudo wget $URL_0_4_0 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_4_0.png
#URL_0_4_1="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/4/1.png"
#sudo wget $URL_0_4_1 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_4_1.png
#URL_0_4_2="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/4/2.png"
#sudo wget $URL_0_4_2 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_4_2.png
#URL_0_4_3="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond/0/4/3.png"
#sudo wget $URL_0_4_3 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_4_3.png
#URL_0_4_4="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond/0/4/4.png"
#sudo wget $URL_0_4_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/0_4_4.png

#zoom 1
#URL_1_5_5="http://www3.sytadin.fr/carto/statique/tms/1.0.0/fond//1/5/5.png"
#sudo wget $URL_1_5_5 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/1_5_5.png

#URL_1_4_5="http://www2.sytadin.fr/carto/statique/tms/1.0.0/fond//1/4/5.png"
#sudo wget $URL_1_4_5 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/1_4_5.png

#URL_1_5_6="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond//1/5/6.png"
#sudo wget $URL_1_5_6 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/1_5_6.png

#URL_1_4_6="http://www4.sytadin.fr/carto/statique/tms/1.0.0/fond//1/4/6.png"
#sudo wget $URL_1_4_6 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/1_4_6.png

#URL_1_5_4="http://www1.sytadin.fr/carto/statique/tms/1.0.0/fond//1/5/4.png"
#sudo wget $URL_1_5_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/1_5_4.png

#URL_1_4_4="http://www2.sytadin.fr/carto/statique/tms/1.0.0/fond//1/4/4.png"
#sudo wget $URL_1_4_4 -O /usr/share/nginx/www/jeedom/montheme/sytadin/fond/1_4_4.png

sudo chmod 775 /usr/share/nginx/www/jeedom/montheme/sytadin/*